<?php

require_once("comun/conexion3.php");
require_once("comun/conex_ver.php");

require_once("comun/actions.php");

require_once("comun/funciones.php");

$action = new actions();
con_impo();

function valorate($valor){
	$valor = str_replace("'","\'",strtoupper($valor));
	return $valor;
}
/*$txtmarks=valorate($_POST['marks']);
$txtquantity= valorate($_POST['quantity']);
$txttype_of_bulks= valorate($_POST['type_of_bulks']);
$txtdescription=valorate($_POST['description']);
$txtno_piezas = valorate($_POST['no_piezas']);
$txtgross_weight = valorate($_POST['gross_weight']);
$txtnet_weight = valorate($_POST['net_weight']);
$txtvolume=valorate($_POST['volume']);*/

$pedimento_no= valorate($_POST['pedimento_no']);
$comentarios= valorate($_POST['comentarios']);
$harmonized_code= valorate($_POST['harmonized_code']);
$ams=valorate($_POST['ams']);
$tarja=valorate($_POST['tarja']);
$largo=valorate($_POST['largo']);
$ancho=valorate($_POST['ancho']);
$alto=valorate($_POST['alto']);
$tratamiento_madera=valorate($_POST['tratamiento_madera']);
$bookingno=valorate($_POST['bookingno']);

// usuario logueado
$email_2=valorate($_POST['email_2']);
// id de la partida
$id=valorate($_POST['id']);

 			    mysql_query("update detailcargaexpint set 
				`tarja` = '$tarja', `pedimento_no` = '$pedimento_no',`comentarios` = '$comentarios', `harmonized_code` = '$harmonized_code',
				`ams` = '$ams',
				tratamiento_madera='$tratamiento_madera'
				 where id = '".$id."'  ");
				
			 
				 mysql_query("delete from dimensiones where booking = '$bookingno' and id_partida = '$id'");
				 
				 for($k=0;$k<11;$k++){
					 if(trim($_POST[numero_bultos][$k])!='0' and trim($_POST[numero_bultos][$k])!=''){
				 mysql_query("insert into dimensiones (`booking`, `id_partida`, `numero_bultos`, `largo`, `ancho`, `alto`) values
				 ('".$bookingno."',	'".$id."','".$_POST[numero_bultos][$k]."','".$_POST[largo][$k]."','".$_POST[ancho][$k]."','".$_POST[alto][$k]."')");
					 }
				 }


$action->alert('Cambios guardados OK');
$action->add_js_code("parent.parent.document.getElementById('submit').click()");

$action->send_response();

return;

?> 

